webdevqa.jp.net

ターミナルからReact Nativeアプリを実行するとエラーが発生する(iOS)

私は公式のReact Nativeウェブサイトのチュートリアルに従っています。

私のプロジェクトを構築するために以下を使用します:

react-native run-ios

私はエラーが出ます:

Found Xcode project TestProject.xcodeproj
xcrun: error: unable to find utility "instruments", not a developer   
tool or in PATH

Command failed: xcrun instruments -s
xcrun: error: unable to find utility "instruments", not a developer 
tool or in PATH

ただし、.xcodeprojからアプリを実行すると、すべてうまくいきます。

助言がありますか?

315
JacobSiegel

このリンクをチェックしてください: https://github.com/facebook/react-native/issues/7965Command line toolsの場所に問題があるようです。

「Xcode」で、「Xcode」メニュー、「設定」、「場所」タブの順に選択します。ドロップダウンからXcodeのバージョンを選択してXcodeを終了します。

XCode location tab

839
leo7r

Xcodeコマンドラインツール の場所をインストールまたは設定する必要があるかもしれません。

コマンドライン経由

Xcodeをダウンロードした場合は、次のコマンドを実行してパスを設定できます。

Sudo xcode-select -s /Applications/Xcode.app

コマンドラインツールがまだインストールされていない場合は、最初にこれを実行する必要があります。

xcode-select --install

コマンドラインツールをインストールする前に、Xcodeのライセンスに同意する必要があります。

Sudo xcodebuild -license accept 

Xcode経由

またはXcode(Command Line Tools)でXcode > Preferences > Locations設定を調整します。

Xcode preferences - Locations tab

114
odlp

デフォルトでは、Xcodeコマンドラインを選択しないでインストールした後、Xcodeを開いてPreferences >> Locationsに移動し、Command Line Toolsを設定します。 _...

これは私にとってMAC High SierraXcode Version 9.3でうまくいきました:

Xcode Preferences

iを押してiOS emulator...を開きます。

Press a to open Android device or emulator, or i to open iOS emulator.

そして、下の画像のようなクールな新しいiPhoneシミュレータを見ることができます。

React Native prints, I'm Alireza Dezfoolian, a Front End Developer!

12
Alireza

私はそれを実行することができる前に私は私の最初のインストールの後にXCodeライセンスを受け入れなければなりませんでした。以下を実行して、コマンドラインからライセンスプロンプトを取得できます。 agreeと入力して確認する必要があります。

Sudo xcodebuild -license
10
Mario Tacke

私の場合、問題はXcodeがインストールされていないことでした。

9
Heisenberg

問題はあなたのXcodeのバージョンがコマンドラインツールで設定されていないことです。この問題を解決するにはXcode>メニュー>設定>場所>コマンドラインツールのためにここにあなたのXcodeバージョンを選択してください。 enter image description here

私のようにXcodeを更新した後にこの問題を抱えてこのページに来たが、場所の設定に問題がないのなら、私のコンピュータを再起動するとうまくいく。

4

私にとっては、コンピュータの再起動を求める保留中のiOSシステムアップデートがあることがわかりました。再起動してアップデートを完了させると問題は解決しました。

3
Bin

私の場合はSDKROOT環境変数が間違っていました。これはiPhoneOSxx.x.sdkの古いバージョンを参照していました。 (おそらくこれは再起動後に自動的に解決したでしょうか?)

echo $SDKROOTを実行してそれが有効なパスであることを確認することで確認できます。

.bash_profileを更新して修正しました。

export SDKROOT=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.2.sdk
2
python1981

これらの解決策のどれも私のために働きませんでした。これら2つの類似した問題は一時的な解決策を提供します。シミュレータプロセスが正しくシャットダウンされていないようです。

シミュレータプロセスの強制終了

https://stackoverflow.com/a/52533391/11279823 から

  1. シミュレータとXcodeを終了します。
  2. Activity monitorを開き、cpuオプションを選択してsimを検索し、結果として表示されているすべてのプロセスを強制終了しました。
  3. それから端末を起動してSudo xcrun simctl erase allを実行します。すべてのシミュレータのすべての内容が削除されます。あなたがどこかにログインした場合の内容でパスワードは消えてしまいます、そのシミュレータにインストールされているすべての開発者アプリは消えてしまいます。

パッケージを起動する前にシミュレータを開く

https://stackoverflow.com/a/55374768/11279823 から

open -a Simulator; npm start

うまくいけば、恒久的な解決策が見つかるでしょう。

1
user11279823

1)Xcodeの設定に行きます2)locationタブを探します3)Given Command Line ToolsでXcodeのバージョンを設定

今、それは正常に動作します。

1
Apurva Aggarwal

Macの場合:結局のところ、あなたはこの問題を抱えています、 システム環境設定 - > ネットワーク - > イーサネット - > Select Advanced に次のものがない可能性があります。 - > プロキシ

次の行を追加してください。

* .local、localhost

0
Unnikrishnan